Data Structures | Typedefs | Functions | Variables

# signal_sl.cpp File Reference

Code handling saving and loading of signals. More...

`#include "../stdafx.h"`
`#include "../programmable_signals.h"`
`#include "../core/alloc_type.hpp"`
`#include "../core/bitmath_func.hpp"`
`#include <vector>`
`#include "saveload.h"`

Go to the source code of this file.

## Data Structures
struct | Fixup
## Typedefs
typedef std::vector< byte > | Buffer
typedef SmallVector< Fixup, 4 > | FixupList
## Functions
static void | WriteVLI (Buffer &b, uint i)
static uint | ReadVLI ()
static void | WriteCondition (Buffer &b, SignalCondition *c)
static SignalCondition * | ReadCondition (SignalReference this_sig)
static void | Save_SPRG ()
static void | Load_SSIG ()
static void | Save_SSIG ()
template<typename T >
static void | MakeFixup (FixupList &l, T *&ir, uint id, SignalOpcode op=PSO_INVALID)
static void | DoFixups (FixupList &l, InstructionList &il)
static void | Load_SPRG ()
## Variables
const ChunkHandler | _signal_chunk_handlers []
const ChunkHandler | _speed_signal_chunk_handlers []

## Detailed Description

Code handling saving and loading of signals.

Definition in file signal_sl.cpp.

## Variable Documentation

const ChunkHandler _signal_chunk_handlers[]

Initial value:

     {
      { 'SPRG', Save_SPRG, Load_SPRG, NULL, NULL, CH_RIFF | CH_LAST},
    }

const ChunkHandler _speed_signal_chunk_handlers[]

Initial value:

     {
      { 'SSIG', Save_SSIG, Load_SSIG, NULL, NULL, CH_RIFF | CH_LAST},
    }